%define anolis_release 4
Name:           m17n-lib
Version:        1.8.0
Release:        %{anolis_release}%{?dist}
Summary:        Multilingual text library

License:        LGPLv2+
URL:            http://www.nongnu.org/m17n/
Source0:        http://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.8.0-multilib.patch
Patch1:         Fix-segmentation-fault-when-using-ibus-m17n-with-vi-telex-in-gedit-in-wayland.patch

BuildRequires:  m17n-db-devel libthai-devel
BuildRequires:  libxml2-devel libXft-devel
BuildRequires:  fontconfig-devel freetype-devel
BuildRequires:  fribidi-devel gd-devel
BuildRequires:  libXaw-devel libotf-devel
BuildRequires:  gettext

Requires:       m17n-db
Provides:       /usr/bin/m17n-conv

%description
m17n-lib is a multilingual text library used primarily to allow
the input of many languages with the input table maps from m17n-db.

The package provides the core and input method backend libraries.

%package  devel
Summary:  Development files for %{name}
Requires: %{name}-tools = %{version}-%{release}

%description devel
Development files for %{name}.


%package  tools
Summary:  The m17n GUI Library tools
Requires: m17n-db-extras
Requires: %{name} = %{version}-%{release}

%description tools
Tools to test M17n GUI widget library.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-rpath --disable-static
# parallel make usage with make command fails build on koji
make

%install
%make_install

# fix bug rh#680363
rm %{buildroot}%{_libdir}/m17n/1.0/libmimx-ispell.so

# fix for bug rh#1587975
rm %{buildroot}%{_libdir}/m17n/1.0/libmimx-anthy.so

%files
%license COPYING
#Own module directory path
%dir %{_libdir}/m17n
%dir %{_libdir}/m17n/1.0
%{_bindir}/m17n-conv
%{_libdir}/libm17n.so.*
%{_libdir}/libm17n-core.so.*
%{_libdir}/libm17n-flt.so.*

%files devel
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files tools
%{_bindir}/m17n-date
%{_bindir}/m17n-dump
%{_bindir}/m17n-edit
%{_bindir}/m17n-view
%{_libdir}/m17n/1.0/libm17n-X.so
%{_libdir}/m17n/1.0/libm17n-gd.so
%{_libdir}/libm17n-gui.so.*

%files doc
%doc AUTHORS NEWS ChangeLog README

%changelog
* Tue Jan 10 2023 Funda Wang <fundawang@yeah.net> - 1.8.0-4
- Rebuild for new libotf

* Fri Jan 6 2023 Funda Wang <fundawang@yeah.net> - 1.8.0-3
- Import package into anolis 23
